<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Fonctions de caract&egrave;res</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // --- on r&eacute;cup&egrave;re les donn&eacute;es ---
 $Saisie=$_POST['Saisie'] ;
 $Code=$_POST['Code'] ;
 // --- on traite les donn&eacute;es ---
 $Lettre=$Saisie[0]                ;
 echo "Caract&egrave;re saisi    : ".$Lettre.WEB_EOL ;
 echo "son code ASCII est : ".ord($Lettre).WEB_EOL ;
 echo "Code saisi              : ".$Code.WEB_EOL ;
 echo "correspond au caract&egrave;re : ".chr($Code).WEB_EOL ;
 ?>
 </body>
</html>
